%def_with geotiff

Summary: The Geospatial Data Abstraction Library (GDAL)
Name: gdal
Version: 1.5.3
Release: alt0.M41.1
Group: Sciences/Geosciences
Packager: Anton V. Boyarshinov <boyarsh@altlinux.org>

License: MIT
Source: http://download.osgeo.org/gdal/%name-%version.tar.gz
Patch1: gdal-1.5.2-libldap.patch

Url: http://www.gdal.org/

%define libname lib%name

# Automatically added by buildreq on Mon Oct 27 2008
BuildRequires: doxygen gcc-c++ glibc-devel-static libMySQL-devel libcfitsio-devel libcurl-devel libexpat-devel libgeos-devel libhdf5-devel libjasper-devel libjpeg-devel libpng-devel libsqlite3-devel libtiff-devel libungif-devel libunixODBC-devel postgresql-devel proj-devel python-devel python-module-numpy python-modules-email xerces-c-devel

%description
The Geospatial Data Abstraction Library (GDAL) is a unifying
C/C++ API for accessing raster geospatial data, and currently
includes formats like GeoTIFF, Erdas Imagine, Arc/Info
Binary, CEOS, DTED, GXF, and SDTS. It is intended to provide
efficient access, suitable for use in viewer applications,
and also attempts to preserve coordinate systems and metadata.
Python, C, and C++ interfaces are available.

%package -n %libname
Summary: Libraries required for the GDAL library
Group: Sciences/Geosciences

%description -n %libname
Libraries required for the GDAL library

%package -n %libname-devel
Summary: Development files for using the GDAL library
Group: Development/C
Requires: %libname = %version-%release

%description -n lib%name-devel
Development files for using the GDAL library

%package -n python-module-%name
Summary: The Python bindings for the GDAL library
Group: Development/Python
Requires: %{libname} = %{version}
Requires: %name

%description -n python-module-gdal
Python module for %name.

%prep
%setup -q
%patch1 -p0

%build
%undefine __libtoolize
%configure \
	--datadir="%_datadir/%name" \
	--includedir=%_includedir/%{name} \
	--with-libz \
	--with-png \
%if_with geotiff
	--with-libtiff \
	--with-geotiff \
%else
	--with-libtiff=internal \
	--with-geotiff=internal \
%endif
	--with-gif \
	--with-jpeg \
	--with-ogr \
	--without-perl \
	--without-php \
	--without-ruby \
	--without-ngpython \
    --with-geos \
    --with-jasper\
    --with-odbc \
    --with-sqlite \
    --with-curl  \
    --with-mysql \
    --with-python \
    --with-xerces \
    --with-xerces-inc=%_includedir/xercesc \
    --with-xerces-lib=%_libdir\
    --without-pcraster        \
    --with-threads
	#
#	--with-grass=%_libdir/grass62 \
%make
%make docs

%install
%__make DESTDIR=%buildroot install

%post -n %libname -p %post_ldconfig
%postun -n %libname -p %postun_ldconfig

%files
%doc NEWS VERSION
%_datadir/%name
%_bindir/ogr*
%_bindir/gdal*
%_bindir/testepsg
%_bindir/nearblack
%_bindir/epsg_tr.py
%_bindir/gcps2vec.py
%_bindir/gcps2wld.py
%_bindir/pct2rgb.py
%_bindir/esri2wkt.py
%_bindir/mkgraticule.py
%_bindir/rgb2pct.py
%exclude %_bindir/gdal-config
# %_man1dir/*

%files -n %libname-devel
%_bindir/gdal-config
%_libdir/*.so
%_includedir/%{name}

%files -n %libname
%_libdir/*.so.*

%files -n python-module-%{name}
%python_sitelibdir/*

%changelog
* Mon Oct 27 2008 Andriy Stepanov <stanv@altlinux.ru> 1.5.3-alt0.M41.1
- M41

* Mon Oct 27 2008 Andriy Stepanov <stanv@altlinux.ru> 1.5.3-alt1
- New version

* Tue Aug 28 2007 Anton V. Boyarshinov <boyarsh@altlinux.ru> 1.4.0-alt1.1
- changes from Sir Raorn <raorn@altlinux.ru> 1.4.0-alt1.1:
-- Major spec cleanup
-- Packaged headers
-- Disabled perl/python/ruby in configure (not packaged by default)
-- Fixed Group

* Thu Jan 18 2007 Dmitri Kuzishchin <dim@altlinux.ru> 1.4.0-alt1
- Initial package.
